Debian Bug report logs - #625581
pythonmagick: FTBFS: _Image.cpp:89:123: error: no matches converting function 'channelDepth' to type 'void (class Magick::Image::*)(enum MagickCore::ChannelType, unsigned int)'

version graph

Package: src:pythonmagick; Maintainer for src:pythonmagick is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>;

Reported by: Bastien ROUCARIES <roucaries.bastien@gmail.com>

Date: Wed, 4 May 2011 12:37:00 UTC

Severity: serious

Tags: sid, wheezy

Merged with 628254

Found in version pythonmagick/0.9.1-3

Fixed in version pythonmagick/0.9.7-1

Done: Sebastian Ramacher <s.ramacher@gmx.at>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package pythonmagick. (Wed, 04 May 2011 12:37:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>.

Your message specified a Severity: in the pseudo-header, but the severity value wishlish was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Wed, 04 May 2011 12:37:08 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bastien ROUCARIES <roucaries.bastien@gmail.com>
To: submit@bugs.debian.org
Subject: transition: libmagick4
Date: Wed, 4 May 2011 14:34:56 +0200
Package: pythonmagick
Severity: wishlish
block: 625544


Hi,

We would like to perform the transition from  libmagickcore3, libmagick++3, libmagickwand3 to libmagickcore4, libmagick++4, 
libmagickwand4

This transition will requires sourcefull uploads as there is a (minimal) API change.

Packages are in experimental

Thanks

Bastien





Added indication that bug 625581 blocks 625544 Request was from Bastien ROUCARIES <roucaries.bastien@gmail.com> to control@bugs.debian.org. (Wed, 04 May 2011 13:57:24 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package pythonmagick. (Sat, 28 May 2011 12:15:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 28 May 2011 12:15:33 GMT) Full text and rfc822 format available.

Message #12 received at 625581@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Bastien ROUCARIES <roucaries.bastien@gmail.com>, 625581@bugs.debian.org
Subject: Re: Bug#625581: transition: libmagick4
Date: Sat, 28 May 2011 14:09:47 +0200
severity 625581 serious
thanks

On  0, Bastien ROUCARIES <roucaries.bastien@gmail.com> wrote:
> Package: pythonmagick
> Severity: wishlish
> block: 625544
> 

The package now is FTBFSing... the build log shows:

> /usr/include/ImageMagick/Magick++/Image.h:347:21: error:                 void Magick::Image::floodFillTexture(const Magick::Geometry&, const Magick::Image&)
> /usr/include/ImageMagick/Magick++/Image.h:353:21: error:                 void Magick::Image::floodFillTexture(ssize_t, ssize_t, const Magick::Image&, const Magick::Color&)
> /usr/include/ImageMagick/Magick++/Image.h:357:21: error:                 void Magick::Image::floodFillTexture(const Magick::Geometry&, const Magick::Image&, const Magick::Color&)
> _Image.cpp:301:132: error: no matches converting function 'pixelColor' to type 'void (class Magick::Image::*)(unsigned int, unsigned int, const class Magick::Color&)'
> /usr/include/ImageMagick/Magick++/Image.h:1086:21: error: candidates are: void Magick::Image::pixelColor(ssize_t, ssize_t, const Magick::Color&)
> /usr/include/ImageMagick/Magick++/Image.h:1089:21: error:                 Magick::Color Magick::Image::pixelColor(ssize_t, ssize_t) const
> _Image.cpp:302:124: error: no matches converting function 'pixelColor' to type 'class Magick::Color (class Magick::Image::*)(unsigned int, unsigned int)const'
> /usr/include/ImageMagick/Magick++/Image.h:1086:21: error: candidates are: void Magick::Image::pixelColor(ssize_t, ssize_t, const Magick::Color&)
> /usr/include/ImageMagick/Magick++/Image.h:1089:21: error:                 Magick::Color Magick::Image::pixelColor(ssize_t, ssize_t) const
> make[2]: *** [libpymagick_la-_Image.lo] Error 1

The complete build log is available at:

	https://buildd.debian.org/status/package.php?p=pythonmagick&suite=sid

Regards,

-- 
Mehdi Dogguy




Severity set to 'serious' from 'normal' Request was from Mehdi Dogguy <mehdi@dogguy.org> to control@bugs.debian.org. (Sat, 28 May 2011 12:15:37 GMT) Full text and rfc822 format available.

Bug reassigned from package 'pythonmagick' to 'src:pythonmagick'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 16:18:02 GMT) Full text and rfc822 format available.

Forcibly Merged 625581 628254. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 28 May 2011 16:18:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'pythonmagick: FTBFS: _Image.cpp:89:123: error: no matches converting function 'channelDepth' to type 'void (class Magick::Image::*)(enum MagickCore::ChannelType, unsigned int)'' from 'transition: libmagick4' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 13:21:02 GMT) Full text and rfc822 format available.

Added indication that bug 625581 blocks 625544 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 13:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package src:pythonmagick. (Fri, 10 Jun 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 10 Jun 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 625581@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 625581@bugs.debian.org
Subject: Trying to fix API changes
Date: Fri, 10 Jun 2011 20:37:16 +0200
  Hello,

  I've dug with more details into the pythonmagick FTBS. It turns out
that it's (at least partly) due to rather trivial upstream type
changes, such as unsigned int to size_t and int to ssiez_t...

  I'm underway to fix that for now, if I don't hit more complex
problems. I've written a script that automates the changes quite
neatly.

  Cheers,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package src:pythonmagick. (Fri, 10 Jun 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 10 Jun 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #32 received at 625581@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: 625581@bugs.debian.org
Subject: Re: Bug#625581: Info received (Trying to fix API changes)
Date: Fri, 10 Jun 2011 22:46:05 +0200
tag 625581 +patch
thanks

  Hi again,

  I finally got around packaging the newest version of pythonmagick,
which turned out to be a great deal simpler than patching the old
code. However, I don't have any means to test the package, as I'm
unable to find proper examples of pythonmagick use in real life...

  To avoid disruption, I've only uploaded to mentors for now. Please
test the package...

http://mentors.debian.net/debian/pool/main/p/pythonmagick/pythonmagick_0.9.6-0.1.dsc

  Cheers,

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package src:pythonmagick. (Mon, 17 Oct 2011 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 17 Oct 2011 17:48:03 GMT) Full text and rfc822 format available.

Message #37 received at 625581@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: 625581@bugs.debian.org, Vincent Fourmond <fourmond@debian.org>
Subject: Re: Bug#625581: Info received (Trying to fix API changes)
Date: Mon, 17 Oct 2011 19:44:30 +0200
[Message part 1 (text/plain, inline)]
Hello Vincent,

I'm currently preparing a fix for #632508 and have just seen that you have been
working on this bug. Since 0.9.6 also suffers from #632508 I'd like to get a
fixed 0.9.1 packaged and then I'd like to merge your changes if this is okay
with you.

My changes will be visible in DPMT's SVN repository [1] soon.

Kind regards,

[1] http://svn.debian.org/viewsvn/python-modules/packages/pythonmagick/trunk/
-- 
Sebastian Ramacher

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package src:pythonmagick. (Mon, 17 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 17 Oct 2011 18:09:03 GMT) Full text and rfc822 format available.

Message #42 received at 625581@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Sebastian Ramacher <s.ramacher@gmx.at>
Cc: 625581@bugs.debian.org
Subject: Re: Bug#625581: Info received (Trying to fix API changes)
Date: Mon, 17 Oct 2011 20:04:26 +0200
  Hello,

On Mon, Oct 17, 2011 at 7:44 PM, Sebastian Ramacher <s.ramacher@gmx.at> wrote:
> I'm currently preparing a fix for #632508 and have just seen that you have been
> working on this bug. Since 0.9.6 also suffers from #632508 I'd like to get a
> fixed 0.9.1 packaged and then I'd like to merge your changes if this is okay
> with you.

  There aren't problems with that, save for the fact that you simply
won't manage to build 0.9.1. I had started to port 0.9.1 to the newer
ImageMagick API, and that turned out to be a nightmare. I'm unsure I
have the changes left somewhere, but I had gotten to a 200-some lines
diff, and I'm not even sure it did build in the end.

  You're much better off starting from 0.9.6. As far as I can
remember, updating to 0.9.6 didn't actually require changes to the
source (save updating the build-deps to the newer imagemagick
development packages). That is what I would recommend you to do. There
probably aren't changes you would have to incorporate from my
packages, but if you wish to base your upon mine, please go ahead.

  BTW, I can't seem to find you in the Debian Database, so I assume
that you may need sponsoring. If such is the case, I could sponsor a
new version, if you wish.

  Cheers !

      Vincent




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#625581; Package src:pythonmagick. (Mon, 17 Oct 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 17 Oct 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #47 received at 625581@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: Vincent Fourmond <fourmond@debian.org>
Cc: 625581@bugs.debian.org
Subject: Re: Bug#625581: Info received (Trying to fix API changes)
Date: Mon, 17 Oct 2011 20:25:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

On 10/17/2011 08:04 PM, Vincent Fourmond wrote:
> On Mon, Oct 17, 2011 at 7:44 PM, Sebastian Ramacher <s.ramacher@gmx.at> wrote:
>> I'm currently preparing a fix for #632508 and have just seen that you have been
>> working on this bug. Since 0.9.6 also suffers from #632508 I'd like to get a
>> fixed 0.9.1 packaged and then I'd like to merge your changes if this is okay
>> with you.
> 
>   There aren't problems with that, save for the fact that you simply
> won't manage to build 0.9.1. I had started to port 0.9.1 to the newer
> ImageMagick API, and that turned out to be a nightmare. I'm unsure I
> have the changes left somewhere, but I had gotten to a 200-some lines
> diff, and I'm not even sure it did build in the end.

I've got it to build with the changes from [1].

>   You're much better off starting from 0.9.6. As far as I can
> remember, updating to 0.9.6 didn't actually require changes to the
> source (save updating the build-deps to the newer imagemagick
> development packages). That is what I would recommend you to do. There
> probably aren't changes you would have to incorporate from my
> packages, but if you wish to base your upon mine, please go ahead.

That would be better probably. I've just commited what I got so far and will
update to the new upstream release later today or tomorrow.

>   BTW, I can't seem to find you in the Debian Database, so I assume
> that you may need sponsoring. If such is the case, I could sponsor a
> new version, if you wish.

Thank you, I'd appreciate that.

Kind regards

[1] http://studio.imagemagick.org/pipermail/magick-bugs/2010-July/003388.html
-- 
Sebastian Ramacher

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Sebastian Ramacher <s.ramacher@gmx.at>:
You have taken responsibility. (Thu, 20 Oct 2011 17:21:10 GMT) Full text and rfc822 format available.

Notification sent to Bastien ROUCARIES <roucaries.bastien@gmail.com>:
Bug acknowledged by developer. (Thu, 20 Oct 2011 17:21:10 GMT) Full text and rfc822 format available.

Message #52 received at 625581-close@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: 625581-close@bugs.debian.org
Subject: Bug#625581: fixed in pythonmagick 0.9.7-1
Date: Thu, 20 Oct 2011 17:17:36 +0000
Source: pythonmagick
Source-Version: 0.9.7-1

We believe that the bug you reported is fixed in the latest version of
pythonmagick, which is due to be installed in the Debian FTP archive:

python-pythonmagick_0.9.7-1_amd64.deb
  to main/p/pythonmagick/python-pythonmagick_0.9.7-1_amd64.deb
pythonmagick_0.9.7-1.diff.gz
  to main/p/pythonmagick/pythonmagick_0.9.7-1.diff.gz
pythonmagick_0.9.7-1.dsc
  to main/p/pythonmagick/pythonmagick_0.9.7-1.dsc
pythonmagick_0.9.7.orig.tar.gz
  to main/p/pythonmagick/pythonmagick_0.9.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Ramacher <s.ramacher@gmx.at> (supplier of updated pythonmagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Oct 2011 20:12:28 +0200
Source: pythonmagick
Binary: python-pythonmagick
Architecture: source amd64
Version: 0.9.7-1
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sebastian Ramacher <s.ramacher@gmx.at>
Description: 
 python-pythonmagick - Object-oriented Python interface to ImageMagick
Closes: 495025 625581 632508
Changes: 
 pythonmagick (0.9.7-1) unstable; urgency=low
 .
   * Team upload.
 .
   [ Bernd Zeimetz ]
   * Upstream's __init__.py is *WEIRD*. I think I've fixed it as it should be,
     although this change might introduce features which are not available in
     other distributions. (Closes: #495025)
   * Removing myself from uploaders.
 .
   [ Sebastian Ramacher ]
   * New upstream release
     - Fixes build issues with newer ligmagick++ versions (Closes: #625581).
     - debian/control: Bump Build-Dep of libmagick++-dev to 8:6.6.7-9.
   * Drop autotools related diffs and run dh --with autoreconf instead.
     - debian/control: Add Build-Dep on dh-autoreconf.
     - debian/rules: call dh with --with autoreconf.
     - debian/patches: remove diffs that are releated to autotools output.
   * Detect Python 2.7 correctly (Closes: #632508) and honor PYTHON environment
     variable.
   * Build for all supported Python versions.
     - debian/control: Build-Dep on python-all-dev instead of python-dev.
     - debian/rules: Build for all supported Python versions.
   * debian/patches: Format according to DEP-3.
   * debian/control: Bump Standards-Version (no changes required).
   * debian/copyright:
     - Update copyright years.
     - Fixes to be DEP-5 compliant.
     - Fix license of PythonMagick. It is released under the ImageMagick
       License, not GPL-3+.
Checksums-Sha1: 
 980a6038af07d8a7fb9f175f448998b23646ab4e 1538 pythonmagick_0.9.7-1.dsc
 bbdbcbc6d2b37a920a70bdfc16d0812ad61f8eb1 384574 pythonmagick_0.9.7.orig.tar.gz
 ca27e5e1ea0fdacc54e0f9d97c851b0380b0cdad 9472 pythonmagick_0.9.7-1.diff.gz
 93e9f797f32e4a84faea3834612ee43fa85a61b2 1042120 python-pythonmagick_0.9.7-1_amd64.deb
Checksums-Sha256: 
 9800ff134639187e7dd8d175c65f78e155bfff03a89b5c32e671ab5711ef615e 1538 pythonmagick_0.9.7-1.dsc
 310ed3165cadde29396a0f5d5cd3d55e30cc05fdf7230b0cdad037f5749e3336 384574 pythonmagick_0.9.7.orig.tar.gz
 ec18c761ab6b45847afa379690b1cb08c41e438dff2dafe3a9196736e6dcb17e 9472 pythonmagick_0.9.7-1.diff.gz
 b5af0f0a319a00cea1cb2f1d074602f3bf2cc69c09c767b96a3d61f901fd2c4b 1042120 python-pythonmagick_0.9.7-1_amd64.deb
Files: 
 d85f864308b858927d9131d326c11f87 1538 python extra pythonmagick_0.9.7-1.dsc
 c7d5cb4dd5701ca1e92d805a817f0a37 384574 python extra pythonmagick_0.9.7.orig.tar.gz
 0f3ba02f6711f3073cb9ad4571bedc51 9472 python extra pythonmagick_0.9.7-1.diff.gz
 05449511ac14a535c66b7c344c946b83 1042120 python extra python-pythonmagick_0.9.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6gVW0ACgkQx/UhwSKygsq/HQCeKOjAtwT0IDu3NgW/vQW3ito5
SlwAoKVo5cgQNHkZ1CnkwdwIT2UqTOjV
=jq2Y
-----END PGP SIGNATURE-----





Reply sent to Sebastian Ramacher <s.ramacher@gmx.at>:
You have taken responsibility. (Thu, 20 Oct 2011 17:21:11 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Thu, 20 Oct 2011 17:21:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 08:39:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:22:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.